# Virtual Base

Virtual Base is designed to address a specific use case: enabling an existing Drupal website to be accessed via additional URLs that include a specified path prefix. This functionality provides a virtual "RewriteBase" layered on top of the website.

For instance, consider a scenario where your website is typically accessed internally (without any RewriteBase) within a private organization. Simultaneously, it is also accessible through an external gateway that uses a fixed URL, with the Drupal website available under a specific path prefix.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/virtual_base).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/search/virtual_base).

## Table of contents

- Installation
- Configuration
- Maintainers

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Configure the admin toolbar tools at (/admin/config/system/virtual-base).

## Maintainers

Current maintainers:

- [Mikael Meulle (just_like_good_vibes)](https://www.drupal.org/u/just_like_good_vibes)
- [Thomas Musa (musathomas)](https://www.drupal.org/u/musathomas)
